﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

@Html.Partial("_PartialScript")
@{var Roles = Html.Toyota().Page.User.Roles;}

@{var RoleSpex = Roles.Where(a => a._SystemId == "SPEX").First().Id;
  Session.Add("RoleSpex", RoleSpex);
  }
<div class="content">
    <center>


        <table width="70%">
            <tr>
                <td style="padding-right:10px;width:15%">
                    @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Report Name";

                        }).GetHtml()
                </td>
                <td style="padding-right:10px; width:30%">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_PROCESS_NAME";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 300;
                    settings.Properties.MaxLength = 20;
                }).GetHtml()

                    @*@Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_SQL_REPORT";
                                settings.Width = 200;
                                //settings.SelectedIndexItem = 0;
                                settings.Properties.DropDownWidth = 200;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.CallbackPageSize = 30;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                //settings.Properties.TextFormatString = "{0}";
                                //settings.Properties.ValueField = "Report_Name";
                                settings.Properties.ValueType = typeof(string);
                                //settings.Properties.Columns.Add("Report_Name", "Report Name", 75);
                                //settings.Properties.Columns.Add("SYSTEM_VALUE", "Value", Unit.Percentage(100));
                                //settings.Properties.ClientSideEvents.Init = "function(s,e){s.SetSelectedIndex(1);}";
                            }
                        ).BindList(ViewData["SQL_Report"]).GetHtml()*@

                </td>
                <td style="padding-right:5px; width:10%">

                    @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdSearch";
                        Button.Text = "Search";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        Button.ClientSideEvents.Click = "OnSearch";
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdAdd";
                        Button.Text = "Add Process";
                        Button.Width = 120;
                        Button.UseSubmitBehavior = true;
                        Button.ClientSideEvents.Click = "OnAddProcess";
                        Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("DynamicQuery", "FTR-SPEX-165-13", "Add");

                    }).GetHtml()
                </td>
                <td width="20%">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="4" style="padding-top:10px;">
                    @Html.Partial("_PartialGrid")
                </td>
            </tr>
        </table>
        
           
        
    </center>
</div>
@Html.Partial("_PartialPopUpScr")
@Html.Partial("_PartialPopUpScrDelete")
@Html.Partial("_PartialPopUpScrAdd")
@Html.Partial("_PartialPopUpScrUpdate")
@Html.Partial("_PartialPopUpDynamicQuery")


